Subject: bug#62994: [PATCH 2/3] Add support for styled underlines on tty frames

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Apr 2023 09:47:12 +0300

> From: Mohsin Kaleem <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 21 Apr 2023 19:04:13 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Yes, in standards.info.  This is the GNU recommended style.
> 
> Cool, doesn't seem to be in the Emacs repo but I'm guessing it's this
> [1].

Yes.

> I'll try to adapt to it.

It should be easier now, since .dir-locals.el now does that for
c-ts-mode as well, not just for c-mode.

> > Did Kitty invent that?  If not, there must be some reference that is
> > not the source code of a terminal emulator.
> 
> I think it did. What I've found online indicates kitty invented it, used
> Su for the termcap, this lead to an issue on tmux which suggested
> changing it to Smulx [2]. That's why the termcap for it is inconsistent.
> I can't find any reference for support before kitty.

Are there any terminal emulators besides Kitty which support these
attributes?  They should perhaps be mentioned in the NEWS entry.